<?php
header('Content-Type: text/html; charset=utf-8');
session_start();
include 'db_connection.php'; // Ensure DB connection

// Retrieve session variables safely
$monitor_name = isset($_SESSION['monitor_name']) ? $_SESSION['monitor_name'] : '';  
$id = isset($_SESSION['id']) ? (int) $_SESSION['id'] : 0;  
$school_id = isset($_SESSION['SchoolID']) ? (int) $_SESSION['SchoolID'] : 0;  

// Debugging
if (empty($id) || empty($school_id) || empty($monitor_name)) {
    die("يجب ادخال البيانات الأساسية اولاُ");
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
 
  // Handling radio buttons and checkboxes safely
   
  $forms = is_array($_POST['forms']) ? implode(", ", $_POST['forms']) : $_POST['forms'];
  $sounds = is_array($_POST['sounds']) ? implode(", ", $_POST['sounds']) : $_POST['sounds'];
  $position = is_array($_POST['position']) ? implode(", ", $_POST['position']) : $_POST['position'];
  $words = is_array($_POST['words']) ? implode(", ", $_POST['words']) : $_POST['words'];
  $writing = is_array($_POST['writing']) ? implode(", ", $_POST['writing']) : $_POST['writing'];
  $formation = is_array($_POST['formation']) ? implode(", ", $_POST['formation']) : $_POST['formation'];
  $strategies = is_array($_POST['strategies']) ? implode(", ", $_POST['strategies']) : $_POST['strategies'];
  $games = is_array($_POST['games']) ? implode(", ", $_POST['games']) : $_POST['games'];
  $activities = is_array($_POST['activities']) ? implode(", ", $_POST['activities']) : $_POST['activities'];
  $tools = is_array($_POST['tools']) ? implode(", ", $_POST['tools']) : $_POST['tools'];
  $sounds_mastery_1A = is_array($_POST['sounds_mastery']) ? implode(", ", $_POST['sounds_mastery']) : $_POST['sounds_mastery'];
  $check1_1B = is_array($_POST['check1']) ? implode(", ", $_POST['check1']) : $_POST['check1'];
  $forms_mastery_2A =  $_POST['forms_mastery'];
  $strategies_other_Q1 = isset($_POST['strategyOther']) ? $_POST['strategyOther'] : '';
  $check2B = is_array($_POST['check2']) ? implode(", ", $_POST['check2']) : $_POST['check2'];
  
    $games_others_Q2 = isset($_POST['gameOther']) ? $_POST['gameOther'] : '';
    $activities_others_Q3 = isset($_POST['activityOther']) ? $_POST['activityOther'] : '';
    $toolsOther_Q4 = isset($_POST['toolOther']) ? $_POST['toolOther'] : '';
    $teacher_1 = isset($_POST['teacher_1']) ? $_POST['teacher_1'] : '';
    $check1Other_1B = isset($_POST['check1Other']) ? $_POST['check1Other'] : '';
    $check2Other_2B = isset($_POST['check2Other']) ? $_POST['check2Other'] : '';

    // Insert into database
    $query = "INSERT INTO quality_control (
      SchoolID, forms, sounds, position, words, writing, formation, 
      strategies, strategies_other_Q1, games, games_others_Q2, activities, activities_others_Q3, 
      tools, toolsOther_Q4, sounds_mastery_1A, check1_1B, check1Other_1B, 
      forms_mastery_2A, check2B, check2Other_2B, Rid, monitor_nameQC, teacher_1
    ) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";

    $stmt = $conn->prepare($query);
    if (!$stmt) {
        die("خطأ في إدخال البيانات: " . $conn->error);
    }

    $stmt->bind_param(
        "issssssssssssssssssssiss", 
        $school_id, $forms, $sounds, $position, $words, $writing, $formation, 
        $strategies, $strategies_other_Q1, $games, $games_others_Q2, $activities, $activities_others_Q3, 
        $tools, $toolsOther_Q4, $sounds_mastery_1A, $check1_1B, $check1Other_1B, 
        $forms_mastery_2A, $check2B, $check2Other_2B, $id, $monitor_name, $teacher_1
    );

    if ($stmt->execute()) {
      $_SESSION['message'] = "تم تسجيل نتائج تقييم معلم 1 من فضلك سجل نتائج تقييم معلم 2" ;
        header("Location: success.php"); // Redirect to success page
        exit();
    } else {
      die("<script>alert('خطأ فى ادخال البيانات'); window.history.back();</script>");
    }

    $stmt->close();
}

$schools = mysqli_query($conn, "SELECT * FROM schoolsdata");
?>

  
<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
  <meta charset="UTF-8">
  <title>بيانات المعلم الاول </title>
  <link rel="stylesheet" href="styles5.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>

</head>

<body>
<div class="container">
<h1>البرنامج القومي لتنمية مهارات القراءة والكتابة بالحلقة الابتدائية
        <p>استمارة ضبط الجودة والدعم الفني (الاسبوع الرابع)</p></h1>
    
  <form action="" method="post" >

        <div>
         <label>أسم المعلم المستهدف بالزيارة الحالية:</label>
        <input type="text" name="teacher_1" placeholder="المعلم (1)" id="inputy" required>
        </div>
          
    <!-- المحور الثاني: الممارسات التدريسية -->
    <fieldset >
        
        <legend>المحور الثاني : الممارسات التدريسية</legend>
        <h3>هل قام/ يقوم المعلم بالممارسات التدريسية التالية:</h3>
        <ul>
        <div>
        
         <li> <label>-	تدريس الأشكال المتنوعة للحروف (ش -ص- ض- ط).	 </label></li>
          <input type="radio" id="forms_yes" name="forms" value="نعم">
          <label for="forms_yes" class="inline">نعم</label>
          <input type="radio" id="forms_no" name="forms" value="لا">
          <label for="forms_no" class="inline">لا</label>
        </div>
        
        <div >
         <li> <label>تدريس الأصوات المتنوعة للحروف (الفتح – الضم – الكسر - السكون):</label></li>
          <input type="radio" id="sounds_yes" name="sounds" value="نعم">
          <label for="sounds_yes" class="inline">نعم</label>
          <input type="radio" id="sounds_no" name="sounds" value="لا">
          <label for="sounds_no" class="inline">لا</label>
        </div>
        
          
        <div >
          <li><label> تمييز الأصوات المتشابهة للحروف.</label></li>
          <input type="radio" id="words_yes" name="words" value="نعم">
          <label for="words_yes" class="inline">نعم</label>
          <input type="radio" id="words_no" name="words" value="لا">
          <label for="words_no" class="inline">لا</label>
        </div>
                      
        
        <div >
          <li><label>	تحليل الكلمات إلى مقاطع صوتية. </label></li>
          <input type="radio" id="writing_yes" name="writing" value="نعم">
          <label for="writing_yes" class="inline">نعم</label>
          <input type="radio" id="writing_no" name="writing" value="لا">
          <label for="writing_no" class="inline">لا</label>
        </div>
        
        <div>
          <li><label>	دمج الحروف لتكوين كلمات.</label></li>
          <input type="radio" id="formation_yes" name="formation" value="نعم">
          <label for="formation_yes" class="inline">نعم</label>
          <input type="radio" id="formation_no" name="formation" value="لا">
          <label for="formation_no" class="inline">لا</label>
        </div>
        <div>
          <li><label> -	دعم الطلاقة القرائية.</label></li>
          <input type="radio" id="position_yes" name="position" value="نعم">
          <label for="position_yes" class="inline">نعم</label>
          <input type="radio" id="position_no" name="position" value="لا">
          <label for="position_no" class="inline">لا</label>
        </div>
                      </ul>
      </fieldset>
        
      
      <!-- المحور الثالث: استراتيجيات التدريس والوسائل -->
      <fieldset >
        <legend>المحور الثالث: استراتيجيات التدريس والوسائل</legend>
        
        <h3>(1) ما الاستراتجيات التي يستخدمها المعلم أثناء التدريس (يمكنك اختيار أكثر من واحدة):</h3>
        <div >
          <input type="checkbox" id="strategy1" name="strategies[]" value="التعلم التعاوني">
          <label for="strategy1" class="inline">التعلم التعاوني</label>
          <input type="checkbox" id="strategy2" name="strategies[]" value="المحاكاة">
          <label for="strategy2" class="inline">المحاكاة</label>
          <input type="checkbox" id="strategy3" name="strategies[]" value="النمذجة">
          <label for="strategy3" class="inline">النمذجة</label>
          <input type="checkbox" id="strategy4" name="strategies[]" value="القصص المسلسلة">
          <label for="strategy4" class="inline">القصص المسلسلة</label>
          <input type="checkbox" id="strategy5" name="strategies[]" value="تتبع الحرف">
          <label for="strategy5" class="inline">تتبع الحرف</label>
          <input type="checkbox" id="strategy6" name="strategies[]" value="الوقوف المتكرر">
          <label for="strategy6" class="inline">الوقوف المتكرر</label>
          <input type="checkbox" id="strategy7" name="strategies[]" value="البحث عن الحرف">
          <label for="strategy7" class="inline">البحث عن الحرف</label>
          <label for="strategyOther">أخري: تذكر </label>
          <input type="text" id="strategyOther" name="strategyOther" placeholder="اكتب استراتيجية أخرى">
        </div>
        
          <h3>(2) ما الألعاب اللغوية التي يستخدمها المعلم في التدريس (يمكنك اختيار أكثر من واحدة):</h3>
          
          <div >
          <input type="checkbox" id="game1" name="games[]" value="الأكواب المقلوبة">
          <label for="game1" class="inline">الأكواب المقلوبة</label>
          <input type="checkbox" id="game2" name="games[]" value="الكلمات المتقاطعة">
          <label for="game2" class="inline">الكلمات المتقاطعة</label>
          <input type="checkbox" id="game3" name="games[]" value="التصفيق للحرف">
          <label for="game3" class="inline">التصفيق للحرف</label>
          <input type="checkbox" id="game4" name="games[]" value="الفنان الصغير">
          <label for="game4" class="inline">الفنان الصغير</label>
          <input type="checkbox" id="game5" name="games[]" value="صندوق الحروف">
          <label for="game5" class="inline">صندوق الحروف</label>
          <input type="checkbox" id="game6" name="games[]" value="رفع الحل">
          <label for="game6" class="inline">رفع الحل</label>
          <input type="checkbox" id="game7" name="games[]" value="امرح مع الحرف">
          <label for="game7" class="inline">امرح مع الحرف</label>
          <label for="gameOther">أخري: تذكر </label>
          <input type="text" id="gameOther" name="gameOther" placeholder="اكتب لعبة لغوية أخرى">
        </div>
        
        
        <h3>(3) ما الأنشطة التفاعلية التي يستخدمها المعلم في التدريس (يمكنك اختيار أكثر من واحدة):</h3>
        <div >
      
          <input type="checkbox" id="activity1" name="activities[]" value="الرسم">
          <label for="activity1" class="inline">الرسم</label>
          <input type="checkbox" id="activity2" name="activities[]" value="الكتابة">
          <label for="activity2" class="inline">الكتابة</label>
          <input type="checkbox" id="activity3" name="activities[]" value="التلوين">
          <label for="activity3" class="inline">التلوين</label>
          <input type="checkbox" id="activity4" name="activities[]" value="اكتشاف الخطأ">
          <label for="activity4" class="inline">اكتشاف الخطأ</label>
          <input type="checkbox" id="activity5" name="activities[]" value="الترتيب">
          <label for="activity5" class="inline">الترتيب</label>
          <input type="checkbox" id="activity6" name="activities[]" value="الاستخراج">
          <label for="activity6" class="inline">الاستخراج</label>
          <input type="checkbox" id="activity7" name="activities[]" value="الإكمال">
          <label for="activity7" class="inline">الإكمال</label>
          <label for="activityOther">أخري: تذكر </label>
          <input type="text" id="activityOther" name="activityOther" placeholder="اكتب نشاط تفاعلي آخر">
        </div>
        
        <h3>(4) ما الوسائل التعليمية التي يستخدمها المعلم في التدريس (يمكنك اختيار أكثر من واحدة):</h3>
        <div >
          <input type="checkbox" id="tool1" name="tools[]" value="السبورة">
          <label for="tool1" class="inline">السبورة</label>
          <input type="checkbox" id="tool2" name="tools[]" value="الأقلام الملونة">
          <label for="tool2" class="inline">الأقلام الملونة</label>
          <input type="checkbox" id="tool3" name="tools[]" value="الصور">
          <label for="tool3" class="inline">الصور</label>
          <input type="checkbox" id="tool4" name="tools[]" value="البطاقات">
          <label for="tool4" class="inline">البطاقات</label>
          <input type="checkbox" id="tool5" name="tools[]" value="الصحف">
          <label for="tool5" class="inline">الصحف</label>
          <input type="checkbox" id="tool6" name="tools[]" value="عجلة الكلمات">
          <label for="tool6" class="inline">عجلة الكلمات</label>
          <input type="checkbox" id="tool7" name="tools[]" value="مسرح العرائس">
          <label for="tool7" class="inline">مسرح العرائس</label>
          <label for="toolOther">أخري: تذكر ..............</label>
          <input type="text" id="toolOther" name="toolOther" placeholder="اكتب وسيلة تعليمية أخرى">
        </div>
      </fieldset>
      
      <!-- المحور الرابع: مدى تقدم مستوى التلاميذ في البرنامج -->
      <fieldset >
        <legend>المحور الرابع : مدى تقدم مستوى التلاميذ في البرنامج</legend>
        
        <h3>(1-أ) ما مدى اتقان التلاميذ أصوات الحروف. (ش– ص- ض- ط)</h3>
        <div >


          <input type="radio" id="sounds_mastery_all" name="sounds_mastery" value="جميع التلاميذ">
          <label for="sounds_mastery_all" class="inline">جميع التلاميذ</label>
          <input type="radio" id="sounds_mastery_most" name="sounds_mastery" value="معظم التلاميذ">
          <label for="sounds_mastery_most" class="inline">معظم التلاميذ</label>
          <input type="radio" id="sounds_mastery_some" name="sounds_mastery" value="بعض التلاميذ">
          <label for="sounds_mastery_some" class="inline">بعض التلاميذ</label>
          <input type="radio" id="sounds_mastery_none" name="sounds_mastery" value="لا احد من التلاميذ">
          <label for="sounds_mastery_none" class="inline">لا احد من التلاميذ</label>
        </div>
        
        <h3>(1-ب) ما وسيلة التحقق من مستوى إتقان التلاميذ لأصوات الحروف السابقة (يمكنك اختيار أكثر من واحدة):</h3>
        <div >
          <input type="checkbox" id="check1" name="check1[]" value="اختبار قراءة">
          <label for="check1" class="inline">اختبار قراءة</label>
          <input type="checkbox" id="check2" name="check1[]" value="اختبار إملاء">
          <label for="check2" class="inline">اختبار إملاء</label>
          <input type="checkbox" id="check3" name="check1[]" value="مناقشة صفية">
          <label for="check3" class="inline">مناقشة صفية</label>
          <input type="checkbox" id="check4" name="check1[]" value="ملاحظة">
          <label for="check4" class="inline">ملاحظة</label>
          <label for="check1Other">أخري: تذكر </label>
          <input type="text" id="check1Other" name="check1Other" placeholder="اكتب وسيلة أخرى">
          
        </div>
        
        <h3>(2-أ) ما مدى اتقان التلاميذ أشكال الحروف. (ش– ص- ض- ط)</h3>
        <div >
          <input type="radio" id="forms_mastery_all" name="forms_mastery" value="جميع التلاميذ">
          <label for="forms_mastery_all" class="inline">جميع التلاميذ</label>
          <input type="radio" id="forms_mastery_most" name="forms_mastery" value="معظم التلاميذ">
          <label for="forms_mastery_most" class="inline">معظم التلاميذ</label>
          <input type="radio" id="forms_mastery_some" name="forms_mastery" value="بعض التلاميذ">
          <label for="forms_mastery_some" class="inline">بعض التلاميذ</label>
          <input type="radio" id="forms_mastery_none" name="forms_mastery" value="لا احد من التلاميذ">
          <label for="forms_mastery_none" class="inline">لا احد من التلاميذ</label>
        </div>
        
        <h3>(2-ب) ما وسيلة التحقق من مستوى إتقان التلاميذ لأصوات الحروف السابقة (يمكنك اختيار أكثر من واحدة):</h3>
        <div >
          <input type="checkbox" id="check2_1" name="check2[]" value="اختبار قراءة">
          <label for="check2_1" class="inline">اختبار قراءة</label>
          <input type="checkbox" id="check2_2" name="check2[]" value="اختبار إملاء">
          <label for="check2_2" class="inline">اختبار إملاء</label>
          <input type="checkbox" id="check2_3" name="check2[]" value="مناقشة صفية">
          <label for="check2_3" class="inline">مناقشة صفية</label>
          <input type="checkbox" id="check2_4" name="check2[]" value="ملاحظة">
          <label for="check2_4" class="inline">ملاحظة</label>
          <label for="check2Other">أخري: تذكر </label>
          <input type="text" id="check2Other" name="check2Other" placeholder="اكتب وسيلة أخرى">
        </div>
      </fieldset>
      
      
      <div class="buttons-container">
        <button type="submit" class="submit-button">إرسال</button>
      </div>
      
    </form>   
</div>
</body>
</html>

